cancel
Showing results for 
Search instead for 
Did you mean: 
  • 1,491 Views

No wifi adapter found

Hey friend,  I have dualboot my Hp laptop with rhel 7.5 .

But now I'm facing an issue in connecting to wifi , it's showing like no wifi adapter found , but i have inbuilt wifi adapter in my laptop. I'm able to access my wifi with the windows but now with linux .

Can anyone help me out. I need someone help or contributions. 

I havw attached tIMG-20230312-WA0008.jpghe image that's pooping up.

Thankyou 

Tags (3)
6 Replies
Fran_Garcia
Starfighter Starfighter
Starfighter
  • 1,465 Views

You really want to use a newer RHEL version; depending on when the laptop was manufactured, RHEL7 will not have the latest relevant drivers (plus RHEL7 will finish its regular support lifecycle in 2024).

You can download RHEL8 or RHEL9 from https://access.redhat.com/downloads ; get a free account on https://developers.redhat.com if you need it to access the software.

Chetan_Tiwary_
Moderator
Moderator
  • 1,409 Views

Hi @vineeth_jaisal , 

Please upgrade the RHEL version and check the necessary drivers for your laptop. 

Also check the Network manager wifi for RHEL 8 here : : https://access.redhat.com/downloads/content/NetworkManager-wifi/1.40.0-5.el8_7/x86_64/fd431d51/packa... .

Once you have the RHEL CSB repo for RHEL 8 in, Please update your system with yum update and then reboot.

You also might need to check your BIOS firmware for update.

If nothing works for you , Please check the hp support here : https://support.hp.com/us-en/drivers/desktops.

0 Kudos
PetrCihlar
Moderator
Moderator
  • 1,403 Views

compatibility issue. Try using en external USB to WIFI adapter. Many of them work fine

Petr Cihlar
0 Kudos
  • 1,380 Views

I tried with Rhel 8.1 but I'm getting the same issue , iwhat is the actual problem.I'm not able to figure it out.

or otherwise can anyone suggest me a good wifi adapter that runs on rhel versions.

Thankyou

0 Kudos
Fran_Garcia
Starfighter Starfighter
Starfighter
  • 1,345 Views

Again, RHEL 8.1 is over 3 years old. Try using latest RHEL 8.7 or preferably 9.1 . 

 

Have you ever used any other Linux distribution in this laptop? what exact model is it?

0 Kudos
EmanuelHaine
Flight Engineer
Flight Engineer
  • 1,371 Views

Have you taken a look on lspci and dmesg in order to get more information?

0 Kudos
Join the discussion
You must log in to join this conversation.